Package com.google.android.exoplayer2.ext.cast

## Interface MediaItemConverter

- All Known Implementing Classes:
    `DefaultMediaItemConverter`

      public interface MediaItemConverter

  Converts between `MediaItem` and the Cast SDK's `MediaQueueItem`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaItem` | `toMediaItem​(com.google.android.gms.cast.MediaQueueItem mediaQueueItem)` | Converts a `MediaQueueItem` to a `MediaItem`.
    `com.google.android.gms.cast.MediaQueueItem` | `toMediaQueueItem​(MediaItem mediaItem)` | Converts a `MediaItem` to a `MediaQueueItem`.

- - ### Method Detail

    - #### toMediaQueueItem

          com.google.android.gms.cast.MediaQueueItem toMediaQueueItem​(MediaItem mediaItem)

      Converts a `MediaItem` to a `MediaQueueItem`.
      Parameters:
        `mediaItem` - The `MediaItem`.
      Returns:
        An equivalent `MediaQueueItem`.

    - #### toMediaItem

          MediaItem toMediaItem​(com.google.android.gms.cast.MediaQueueItem mediaQueueItem)

      Converts a `MediaQueueItem` to a `MediaItem`.
      Parameters:
        `mediaQueueItem` - The `MediaQueueItem`.
      Returns:
        The equivalent `MediaItem`.